/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea .lea-editor {
  height: 100%;
  display: flex;
  flex-direction: column;
}

@slateToolbarHeight: 40px;
@toolbarHeight: 35px;
@footerHeight: 80px;
@toolbarsHeight: calc(@slateToolbarHeight+ @toolbarHeight);
@minSynopsisWidth: 456px;
@maxSynopsisWidth: 660px;

.lea {
  & .Editor {
    height: calc(100% - @toolbarHeight);
  }

  & .Slate {
    background-color: #fff;
    min-height: 0;
    display: flex;
    flex-direction: column;
    flex-grow: 1;

    & .SlateToolbar {
      max-height: @toolbarHeight;
    }

    & .EditableContainer {
      display: flex;
      background-color: #e5eafb;
      min-height: 0;
      flex-grow: 1;
    }

    & .emptyBox {
      display: flex;
      flex: 1;
    }

    & .optionsWrapper {
      display: grid;
      grid-template: 1fr / 1fr;
      place-items: center;
    }

    & .EditableArea {
      overflow-x: auto;
      overflow-y: hidden;
      display: flex;
      flex-flow: column;
      background: #e5eafb 0% 0% no-repeat padding-box;
      padding: 10px 24px;

      & .hdr-error {
        & > .akn\:num,
        &.akn\:heading {
          outline: 1px solid red !important;
          background-color: rgba(255, 0, 0, 0.1) !important;
        }
      }

      & .hdr-warning {
        & > .akn\:num {
          outline: 1px solid yellow;
          background-color: rgba(255, 255, 0, 0.1);
        }
      }

      & .synopsis-divider {
        display: inline-block;
        position: relative;
        border-bottom: 2px solid #c1cbf2;
        width: 680px;
        margin: 10px -78px;
        right: 0px;
      }

      .akn\:tblock {
        & .synopsis-divider {
          &.p-element {
            left: -72px;
            width: calc(100% + 120px);
          }
        }
      }

      & .DocumentEditable {
        overflow: hidden;
        display: flex;
        flex-grow: 1;
        width: fit-content;
        padding: 2px 10px 2px 2px;
        & .editorColumn:focus,
        .editorColumn:focus-within {
          outline: 2px solid #0032d9;
          border-radius: 2px;

          & .synopsis-header {
            background-color: #0032d9;
            color: #fff;

            p {
              color: #fff;
            }

            .lea-ui-icon-button {
              color: #fff !important;
            }

            .synopsis-header-title {
              text-decoration: underline;
            }

            .lea-icon {
              color: #fff;
            }
            .synopsis-header-collapse {
              background-color: #0032d9;
            }
          }
        }

        .editorColumn:focus,
        .editorColumn:focus-within + .changeSize .resizer {
          background-color: #4065e2 !important;
        }

        & .editorColumn {
          &.column-hidden {
            max-width: 24px !important;
            min-width: 24px !important;
          }
          width: 100%;
          display: flex;
          flex-direction: column;
          overflow: hidden;
          &.resizing {
            user-select: none;
          }
          & .synopsis-header {
            background-color: #f2f4fd;
            color: #000;
            border-bottom: 1px solid #c1cbf2;
            font-size: 1.4rem;
            line-height: 2.6rem;

            text-align: left;
            display: flex;
            width: 100%;

            .lea-icon {
              color: #000;
            }

            & .synopsis-header-text {
              flex-grow: 1;

              .synopsis-header-date-text {
                margin-top: 10px !important;
              }

              .synopsis-header-version-text {
                margin-top: 3px !important;
              }
            }

            &.column-visible {
              .lea-ui-icon-button {
                padding: 7px;
                align-items: flex-start;
                color: #0032d9;
                position: relative;
              }

              .lea-ui-icon-button:after {
                content: '';
                background: #738eea;
                position: absolute;
                top: 8px;
                left: 0;
                height: 24px;
                width: 1px;
              }
            }
            &.column-hidden {
              justify-content: center;
              & .synopsis-header-collapse {
                display: none;
              }
              .lea-ui-icon-button {
                padding: 8px;
                align-items: flex-start;
                color: #0032d9;
              }
            }
            .synopsis-header-collapse {
              font-size: 14px;
              flex-grow: 2;
              padding: 7px;
              padding-left: 15px;
              background-color: #f2f4fd;
              p {
                margin: 0px !important;
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;
                max-width: 350px;
              }

              .ant-collapse-header {
                padding: 0px;
                padding-inline-start: 0px;
                align-items: normal;

                .ant-collapse-header-text {
                  display: flex;
                  align-items: center;
                }
              }

              .ant-collapse-item-active {
                p {
                  overflow: visible;
                  white-space: normal;
                  text-overflow: clip;
                  max-width: none;
                }
              }
            }

            .ant-collapse-content-box {
              padding: 0px;
            }
          }

          & .synopsis-header:hover {
            background-color: #0032d9;
            color: #fff;
            text-decoration: underline;

            p {
              color: #fff;
            }

            .lea-ui-icon-button {
              color: #fff !important;
            }

            .lea-icon {
              color: #fff;
            }
            .synopsis-header-collapse {
              background-color: #0032d9;
            }
          }
        }
        & .changeSize {
          width: 2px;
          background: blue;
          position: relative;
          &.column-visible {
            cursor: col-resize;
          }

          .resizer {
            box-sizing: border-box;
            padding: 2px;
            position: absolute;
            height: 22px;
            width: 12px;
            background-color: blue;
            z-index: 11;
            top: 50px;
            border-radius: 3px;
            left: -5px;
            display: flex;
            justify-content: space-around;

            .resizerStroke {
              margin-top: auto;
              margin-bottom: auto;
              width: 2px;
              background-color: white;
              height: 13px;
            }
          }
        }
        & .active,
        & .changeSize:hover {
          &.column-visible {
            width: 4px;
            .resizer {
              height: 28px;
              width: 18px;
              left: -7px;
              justify-content: space-around;
              .resizerStroke {
                width: 3px;
                height: 19px;
              }
            }
          }
        }

        &.no-synopsis {
          width: fit-content;
        }

        & .plugin-editor {
          -moz-box-sizing: border-box;
          -webkit-box-sizing: border-box;
          box-sizing: border-box;
          padding: 80px 48px 145px;
          background-color: #fff;
          white-space: break-spaces !important;
          overflow-y: auto;
          overflow-x: auto;
          height: 100%;

          & .comment-marker {
            & [data-slate-zero-width] {
              min-width: 0px;
            }
          }
          & [data-slate-zero-width] {
            min-width: 1px;
          }

          &.no-synopsis {
            width: 21cm;
          }

          &.synopsis-visible {
            width: 100%;
          }
          sup {
            position: relative;
            line-height: 0;
          }
          &.column-hidden {
            padding: 0px;
            overflow: hidden;
            & > * {
              visibility: hidden;
            }
          }
          & span:focus {
            background-color: lightblue;
          }

          & .contentEditable {
            &.fromEgfa {
              margin-top: 1px;
              outline: none;
            }
          }
        }
      }
    }

    & #editable:focus {
      border: 1px solid #909090;
    }

    & .SlateSidebar {
      background-color: #e5eafb;
      display: flex;
      width: fit-content;

      &.Left {
        justify-content: flex-start;
        & .lea-drawer {
          display: flex;
          & .ant-drawer {
            position: relative !important;
            & .ant-drawer-content-wrapper {
              position: relative;
              height: 100%;
            }
          }
        }
      }

      &.Right {
        justify-content: flex-end;
        & .lea-drawer {
          & .ant-drawer {
            position: relative !important;
            & .ant-drawer-content-wrapper {
              position: relative;
              height: 100%;
              & .ant-drawer-header {
                & .ant-drawer-header-title {
                  & .ant-drawer-close {
                    font-size: 1.2rem;
                  }
                  & .ant-drawer-title {
                    font-weight: 500;
                  }
                }
              }
            }
          }
        }
        & .right-toolbar {
          z-index: 9;
          position: static;
        }

        & .option-title {
          font-size: 1.6rem;
          line-height: 2.6rem;
          padding: 10px 24px 0px 24px;
        }

        & .option-content {
          padding: 0px 24px 16px 24px;
        }
        .option-divider {
          background-color: #cfd8f8 !important;
          margin: 0;
          width: 100%;
        }
        & .options-collapse {
          & .ant-collapse-item {
            font-size: 1.4rem !important;
            line-height: 2rem !important;
            min-height: 28px;
            padding: 10px 10px 10px 25px;

            .panel-header {
              display: flex;
              justify-content: space-between;
              margin-right: 10px;
            }

            .items-counter {
              font-weight: 400;
            }

            .ant-collapse-header {
              font-size: 1.4rem !important;
              padding: 0 !important;
              line-height: 2.4rem !important;
              height: 18px !important;
              display: flex !important;
              align-items: center !important;
              font-weight: 500 !important;
              user-select: none !important;
            }

            .ant-collapse-expand-icon {
              height: 24px;
            }

            .ant-collapse-arrow {
              margin-right: 0 !important;
              vertical-align: 0 !important;
            }

            .ant-collapse-content-box {
              padding: 10px 7px 0px 21px !important;
              overflow-wrap: break-word !important;

              #replace-text-input {
                font-size: 1.4rem;
                height: 32px;
              }
            }

            .lea-icon {
              width: 24px;
              height: 24px;
              text-align: center;
            }
          }
        }

        & .comment-navigation-buttons,
        & .hdr-assistent-navigation-buttons {
          display: flex;
          gap: 0.5rem;
          margin-bottom: 1.5rem;
        }
      }
    }
    & .ant-drawer-close:hover,
    & .ant-drawer-close:focus {
      & path {
        fill: white;
      }
    }
  }
}
